(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/common'), require('@angular/core'), require('@angular/material/core'), require('@nutrify/ngx-simple-select'), require('rxjs'), require('@angular/cdk/coercion'), require('@angular/forms')) :
    typeof define === 'function' && define.amd ? define('@nutrify/ngx-simple-datepicker', ['exports', '@angular/common', '@angular/core', '@angular/material/core', '@nutrify/ngx-simple-select', 'rxjs', '@angular/cdk/coercion', '@angular/forms'], factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory((global.nutrify = global.nutrify || {}, global.nutrify['ngx-simple-datepicker'] = {}), global.ng.common, global.ng.core, global.ng.material.core, global['@nutrify/ngx-simple-select'], global.rxjs, global.ng.cdk.coercion, global.ng.forms));
}(this, (function (exports, common, core$1, core, ngxSimpleSelect, rxjs, coercion, forms) { 'use strict';

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation.

    Permission to use, copy, modify, and/or distribute this software for any
    purpose with or without fee is hereby granted.

    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
    REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
    AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
    INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
    LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
    OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
    PERFORMANCE OF THIS SOFTWARE.
    ***************************************************************************** */
    /* global Reflect, Promise */
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b)
                if (Object.prototype.hasOwnProperty.call(b, p))
                    d[p] = b[p]; };
        return extendStatics(d, b);
    };
    function __extends(d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    }
    var __assign = function () {
        __assign = Object.assign || function __assign(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s)
                    if (Object.prototype.hasOwnProperty.call(s, p))
                        t[p] = s[p];
            }
            return t;
        };
        return __assign.apply(this, arguments);
    };
    function __rest(s, e) {
        var t = {};
        for (var p in s)
            if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
                t[p] = s[p];
        if (s != null && typeof Object.getOwnPropertySymbols === "function")
            for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
                if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                    t[p[i]] = s[p[i]];
            }
        return t;
    }
    function __decorate(decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
            r = Reflect.decorate(decorators, target, key, desc);
        else
            for (var i = decorators.length - 1; i >= 0; i--)
                if (d = decorators[i])
                    r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    }
    function __param(paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); };
    }
    function __metadata(metadataKey, metadataValue) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
            return Reflect.metadata(metadataKey, metadataValue);
    }
    function __awaiter(thisArg, _arguments, P, generator) {
        function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try {
                step(generator.next(value));
            }
            catch (e) {
                reject(e);
            } }
            function rejected(value) { try {
                step(generator["throw"](value));
            }
            catch (e) {
                reject(e);
            } }
            function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    }
    function __generator(thisArg, body) {
        var _ = { label: 0, sent: function () { if (t[0] & 1)
                throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function () { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f)
                throw new TypeError("Generator is already executing.");
            while (_)
                try {
                    if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done)
                        return t;
                    if (y = 0, t)
                        op = [op[0] & 2, t.value];
                    switch (op[0]) {
                        case 0:
                        case 1:
                            t = op;
                            break;
                        case 4:
                            _.label++;
                            return { value: op[1], done: false };
                        case 5:
                            _.label++;
                            y = op[1];
                            op = [0];
                            continue;
                        case 7:
                            op = _.ops.pop();
                            _.trys.pop();
                            continue;
                        default:
                            if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                                _ = 0;
                                continue;
                            }
                            if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) {
                                _.label = op[1];
                                break;
                            }
                            if (op[0] === 6 && _.label < t[1]) {
                                _.label = t[1];
                                t = op;
                                break;
                            }
                            if (t && _.label < t[2]) {
                                _.label = t[2];
                                _.ops.push(op);
                                break;
                            }
                            if (t[2])
                                _.ops.pop();
                            _.trys.pop();
                            continue;
                    }
                    op = body.call(thisArg, _);
                }
                catch (e) {
                    op = [6, e];
                    y = 0;
                }
                finally {
                    f = t = 0;
                }
            if (op[0] & 5)
                throw op[1];
            return { value: op[0] ? op[1] : void 0, done: true };
        }
    }
    var __createBinding = Object.create ? (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        Object.defineProperty(o, k2, { enumerable: true, get: function () { return m[k]; } });
    }) : (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        o[k2] = m[k];
    });
    function __exportStar(m, o) {
        for (var p in m)
            if (p !== "default" && !Object.prototype.hasOwnProperty.call(o, p))
                __createBinding(o, m, p);
    }
    function __values(o) {
        var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
        if (m)
            return m.call(o);
        if (o && typeof o.length === "number")
            return {
                next: function () {
                    if (o && i >= o.length)
                        o = void 0;
                    return { value: o && o[i++], done: !o };
                }
            };
        throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    }
    function __read(o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m)
            return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
                ar.push(r.value);
        }
        catch (error) {
            e = { error: error };
        }
        finally {
            try {
                if (r && !r.done && (m = i["return"]))
                    m.call(i);
            }
            finally {
                if (e)
                    throw e.error;
            }
        }
        return ar;
    }
    /** @deprecated */
    function __spread() {
        for (var ar = [], i = 0; i < arguments.length; i++)
            ar = ar.concat(__read(arguments[i]));
        return ar;
    }
    /** @deprecated */
    function __spreadArrays() {
        for (var s = 0, i = 0, il = arguments.length; i < il; i++)
            s += arguments[i].length;
        for (var r = Array(s), k = 0, i = 0; i < il; i++)
            for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
                r[k] = a[j];
        return r;
    }
    function __spreadArray(to, from) {
        for (var i = 0, il = from.length, j = to.length; i < il; i++, j++)
            to[j] = from[i];
        return to;
    }
    function __await(v) {
        return this instanceof __await ? (this.v = v, this) : new __await(v);
    }
    function __asyncGenerator(thisArg, _arguments, generator) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var g = generator.apply(thisArg, _arguments || []), i, q = [];
        return i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i;
        function verb(n) { if (g[n])
            i[n] = function (v) { return new Promise(function (a, b) { q.push([n, v, a, b]) > 1 || resume(n, v); }); }; }
        function resume(n, v) { try {
            step(g[n](v));
        }
        catch (e) {
            settle(q[0][3], e);
        } }
        function step(r) { r.value instanceof __await ? Promise.resolve(r.value.v).then(fulfill, reject) : settle(q[0][2], r); }
        function fulfill(value) { resume("next", value); }
        function reject(value) { resume("throw", value); }
        function settle(f, v) { if (f(v), q.shift(), q.length)
            resume(q[0][0], q[0][1]); }
    }
    function __asyncDelegator(o) {
        var i, p;
        return i = {}, verb("next"), verb("throw", function (e) { throw e; }), verb("return"), i[Symbol.iterator] = function () { return this; }, i;
        function verb(n, f) { i[n] = o[n] ? function (v) { return (p = !p) ? { value: __await(o[n](v)), done: n === "return" } : f ? f(v) : v; } : f; }
    }
    function __asyncValues(o) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var m = o[Symbol.asyncIterator], i;
        return m ? m.call(o) : (o = typeof __values === "function" ? __values(o) : o[Symbol.iterator](), i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i);
        function verb(n) { i[n] = o[n] && function (v) { return new Promise(function (resolve, reject) { v = o[n](v), settle(resolve, reject, v.done, v.value); }); }; }
        function settle(resolve, reject, d, v) { Promise.resolve(v).then(function (v) { resolve({ value: v, done: d }); }, reject); }
    }
    function __makeTemplateObject(cooked, raw) {
        if (Object.defineProperty) {
            Object.defineProperty(cooked, "raw", { value: raw });
        }
        else {
            cooked.raw = raw;
        }
        return cooked;
    }
    ;
    var __setModuleDefault = Object.create ? (function (o, v) {
        Object.defineProperty(o, "default", { enumerable: true, value: v });
    }) : function (o, v) {
        o["default"] = v;
    };
    function __importStar(mod) {
        if (mod && mod.__esModule)
            return mod;
        var result = {};
        if (mod != null)
            for (var k in mod)
                if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
                    __createBinding(result, mod, k);
        __setModuleDefault(result, mod);
        return result;
    }
    function __importDefault(mod) {
        return (mod && mod.__esModule) ? mod : { default: mod };
    }
    function __classPrivateFieldGet(receiver, privateMap) {
        if (!privateMap.has(receiver)) {
            throw new TypeError("attempted to get private field on non-instance");
        }
        return privateMap.get(receiver);
    }
    function __classPrivateFieldSet(receiver, privateMap, value) {
        if (!privateMap.has(receiver)) {
            throw new TypeError("attempted to set private field on non-instance");
        }
        privateMap.set(receiver, value);
        return value;
    }

    var nextUniqueId = 0;
    var SimpleDatepickerBase = /** @class */ (function () {
        function SimpleDatepickerBase(_defaultErrorStateMatcher, _parentForm, _parentFormGroup, ngControl) {
            this._defaultErrorStateMatcher = _defaultErrorStateMatcher;
            this._parentForm = _parentForm;
            this._parentFormGroup = _parentFormGroup;
            this.ngControl = ngControl;
        }
        return SimpleDatepickerBase;
    }());
    // eslint-disable-next-line @typescript-eslint/naming-convention
    var _SimpleDatepickerMixinBase = core.mixinDisabled(core.mixinErrorState(SimpleDatepickerBase));
    var DatepickerComponent = /** @class */ (function (_super) {
        __extends(DatepickerComponent, _super);
        function DatepickerComponent(cdRef, _defaultErrorStateMatcher, _parentForm, _parentFormGroup, ngControl, dateAdapter) {
            var _this = _super.call(this, _defaultErrorStateMatcher, _parentForm, _parentFormGroup, ngControl) || this;
            _this.cdRef = cdRef;
            _this._defaultErrorStateMatcher = _defaultErrorStateMatcher;
            _this.ngControl = ngControl;
            _this.dateAdapter = dateAdapter;
            _this.dayPlaceholder = 'Day';
            _this.monthPlaceholder = 'Month';
            _this.yearPlaceholder = 'Year';
            _this.months = [
                'January',
                'February',
                'March',
                'April',
                'May',
                'June',
                'July',
                'August',
                'September',
                'October',
                'November',
                'December'
            ];
            _this.numberOfDays = 31;
            _this.selectedYear = null;
            _this.selectedMonth = null;
            _this.validationError = false;
            _this._value = null;
            _this._required = false;
            _this._errorState = false;
            _this._selectedDay = null;
            _this.previousDay = null;
            _this.localeSubscription = rxjs.Subscription.EMPTY;
            _this.uid = "simple-datepicker-" + ++nextUniqueId;
            _this.validators = new Map([
                ['simpleDatepickerMin', function (control) {
                        var controlValue = _this.coerceDateProperty(_this.dateAdapter.deserialize(control.value));
                        return (!_this.min || !controlValue ||
                            _this.dateAdapter.compareDate(_this.min, controlValue) <= 0) ?
                            null : { simpleDatepickerMin: { min: _this.min, actual: controlValue } };
                    }
                ],
                ['simpleDatepickerMax', function (control) {
                        var controlValue = _this.coerceDateProperty(_this.dateAdapter.deserialize(control.value));
                        return (!_this.max || !controlValue ||
                            _this.dateAdapter.compareDate(_this.max, controlValue) >= 0) ?
                            null : { simpleDatepickerMax: { max: _this.max, actual: controlValue } };
                    }
                ]
            ]);
            _this.propagateChange = function (_) { };
            _this.propagateTouched = function () { };
            _this.validatorOnChange = function () { };
            /* eslint-disable @typescript-eslint/member-ordering */
            /** The form control validator for the min date. */
            _this.minValidator = _this.validators.get('simpleDatepickerMin');
            /** The form control validator for the max date. */
            _this.maxValidator = _this.validators.get('simpleDatepickerMax');
            _this.validator = forms.Validators.compose([_this.minValidator, _this.maxValidator]);
            if (_this.ngControl) {
                // Note: we provide the value accessor through here, instead of
                // the `providers` to avoid running into a circular import.
                _this.ngControl.valueAccessor = _this;
                _this.ngControl.control.setValidators(_this.validator);
                _this.ngControl.control.updateValueAndValidity();
            }
            // Force setter to be called in case id was not specified.
            _this.id = _this.id;
            // Update the displayed date when the locale changes.
            _this.localeSubscription = dateAdapter.localeChanges.subscribe(function () {
                _this.value = _this.value;
            });
            return _this;
        }
        Object.defineProperty(DatepickerComponent.prototype, "id", {
            get: function () { return this._id; },
            set: function (id) {
                this._id = id || this.uid;
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(DatepickerComponent.prototype, "value", {
            get: function () { return this._value; },
            set: function (value) {
                this._value = this.coerceDateProperty(value);
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(DatepickerComponent.prototype, "required", {
            get: function () { return this._required; },
            set: function (required) {
                this._required = coercion.coerceBooleanProperty(required);
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(DatepickerComponent.prototype, "min", {
            get: function () { return this._min; },
            set: function (min) {
                this._min = this.coerceDateProperty(this.dateAdapter.deserialize(min));
                this.validatorOnChange();
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(DatepickerComponent.prototype, "max", {
            get: function () { return this._max; },
            set: function (max) {
                this._max = this.coerceDateProperty(this.dateAdapter.deserialize(max));
                this.validatorOnChange();
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(DatepickerComponent.prototype, "errorState", {
            get: function () {
                return this._errorState;
            },
            set: function (errorState) {
                this._errorState = errorState;
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(DatepickerComponent.prototype, "selectedDay", {
            get: function () {
                if (!this._selectedDay && this.previousDay <= this.numberOfDays) {
                    this._selectedDay = this.previousDay;
                }
                return this._selectedDay;
            },
            set: function (selectedDay) {
                this._selectedDay = selectedDay;
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(DatepickerComponent.prototype, "startingYear", {
            get: function () {
                return this.min ? this.min.getFullYear() : new Date().getFullYear() - 115;
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(DatepickerComponent.prototype, "endingYear", {
            get: function () {
                return this.max ? this.max.getFullYear() : new Date().getFullYear() - 16;
            },
            enumerable: false,
            configurable: true
        });
        DatepickerComponent.prototype.coerceDateProperty = function (obj) {
            return (this.dateAdapter.isDateInstance(obj) && this.dateAdapter.isValid(obj)) ? obj : null;
        };
        DatepickerComponent.prototype.daysInMonth = function (month, year) {
            if (year === void 0) { year = 0; }
            switch (month) {
                case 2:
                    var isLeapYear = ((year % 4 === 0) && (year % 100 !== 0)) || (year % 400 === 0);
                    this.numberOfDays = isLeapYear ? 29 : 28;
                    break;
                case 4:
                case 6:
                case 9:
                case 11:
                    this.numberOfDays = 30;
                    break;
                default:
                    this.numberOfDays = 31;
            }
            return this.numberOfDays;
        };
        DatepickerComponent.prototype.updateDay = function (day) {
            this.selectedDay = day;
            if (day) {
                this.previousDay = day;
            }
            this.propagateTouched();
            this.emit();
        };
        DatepickerComponent.prototype.update = function () {
            this.numberOfDays = this.daysInMonth(this.selectedMonth, this.selectedYear);
            this.propagateTouched();
            this.cdRef.detectChanges();
            this.emit();
        };
        DatepickerComponent.prototype.emit = function () {
            if (this.selectedDay !== null && this.selectedMonth !== null && this.selectedYear !== null) {
                if (this.coerceDateProperty(this.value)) {
                    this.value.setDate(this.selectedDay);
                    this.value.setMonth(this.selectedMonth - 1);
                    this.value.setFullYear(this.selectedYear);
                }
                else {
                    this.value = new Date(this.selectedYear, this.selectedMonth - 1, this.selectedDay);
                }
            }
            else {
                this.value = null;
            }
            this.propagateChange(this.value);
        };
        DatepickerComponent.prototype.validate = function (c) {
            return this.validator ? this.validator(c) : null;
        };
        DatepickerComponent.prototype.registerOnValidatorChange = function (fn) {
            this.validatorOnChange = fn;
        };
        DatepickerComponent.prototype.ngDoCheck = function () {
            if (this.ngControl) {
                this.updateErrorState();
                if (this.ngControl.errors && !this.ngControl.errors.required) {
                    this.validationError = true;
                }
                else {
                    this.validationError = false;
                }
            }
        };
        DatepickerComponent.prototype.writeValue = function (value) {
            if (this.coerceDateProperty(value)) {
                this.value = value;
                this.selectedDay = value.getDate();
                this.selectedMonth = value.getMonth();
                this.selectedYear = value.getFullYear();
                this.cdRef.detectChanges();
            }
        };
        DatepickerComponent.prototype.registerOnChange = function (fn) {
            this.propagateChange = fn;
        };
        DatepickerComponent.prototype.registerOnTouched = function (fn) {
            this.propagateTouched = fn;
        };
        DatepickerComponent.prototype.setDisabledState = function (isDisabled) {
            this.disabled = isDisabled;
        };
        DatepickerComponent.prototype.ngOnDestroy = function () {
            this.localeSubscription.unsubscribe();
            this.stateChanges.complete();
        };
        return DatepickerComponent;
    }(_SimpleDatepickerMixinBase));
    DatepickerComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'simple-datepicker',
                    exportAs: 'simpleDatepicker',
                    template: "<simple-select [ngModel]=\"selectedDay\" (ngModelChange)=\"updateDay($event)\" [placeholder]=\"dayPlaceholder\" class=\"simple-datepicker-day\" [disabled]=\"disabled\" [required]=\"required\">\r\n  <simple-option *ngFor=\"let x of [].constructor(numberOfDays); let i = index\" [value]=\"i+1\">{{i+1}}</simple-option>\r\n</simple-select>\r\n<simple-select [(ngModel)]=\"selectedMonth\" (ngModelChange)=\"update()\" [placeholder]=\"monthPlaceholder\" class=\"simple-datepicker-month\" [disabled]=\"disabled\" [required]=\"required\">\r\n  <simple-option *ngFor=\"let x of [].constructor(12); let i = index\" [value]=\"i+1\">{{months[i]}}</simple-option>\r\n</simple-select>\r\n<simple-select [(ngModel)]=\"selectedYear\" (ngModelChange)=\"update()\" [placeholder]=\"yearPlaceholder\" class=\"simple-datepicker-year\" [disabled]=\"disabled\" [required]=\"required\">\r\n  <simple-option *ngFor=\"let x of [].constructor(endingYear - startingYear + 1); let i = index\" [value]=\"endingYear-i\">{{endingYear-i}}</simple-option>\r\n</simple-select>\r\n",
                    inputs: ['disabled'],
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush,
                    encapsulation: core$1.ViewEncapsulation.None,
                    // eslint-disable-next-line
                    host: {
                        '[attr.id]': 'id',
                        class: 'simple-datepicker',
                        '[attr.min]': 'min ? dateAdapter.toIso8601(min) : null',
                        '[attr.max]': 'max ? dateAdapter.toIso8601(max) : null',
                        '[attr.aria-disabled]': 'disabled.toString()',
                        '[attr.aria-invalid]': 'errorState',
                        '[attr.aria-required]': 'required.toString()',
                        '[class.simple-datepicker-disabled]': 'disabled',
                        '[class.simple-datepicker-invalid]': 'validationError'
                    }
                },] }
    ];
    DatepickerComponent.ctorParameters = function () { return [
        { type: core$1.ChangeDetectorRef },
        { type: core.ErrorStateMatcher },
        { type: forms.NgForm, decorators: [{ type: core$1.Optional }] },
        { type: forms.FormGroupDirective, decorators: [{ type: core$1.Optional }] },
        { type: forms.NgControl, decorators: [{ type: core$1.Self }, { type: core$1.Optional }] },
        { type: core.DateAdapter, decorators: [{ type: core$1.Optional }] }
    ]; };
    DatepickerComponent.propDecorators = {
        dayPlaceholder: [{ type: core$1.Input }],
        monthPlaceholder: [{ type: core$1.Input }],
        yearPlaceholder: [{ type: core$1.Input }],
        months: [{ type: core$1.Input }],
        id: [{ type: core$1.Input }],
        value: [{ type: core$1.Input }],
        required: [{ type: core$1.Input }],
        min: [{ type: core$1.Input }],
        max: [{ type: core$1.Input }]
    };

    var SimpleDatepickerModule = /** @class */ (function () {
        function SimpleDatepickerModule() {
        }
        return SimpleDatepickerModule;
    }());
    SimpleDatepickerModule.decorators = [
        { type: core$1.NgModule, args: [{
                    declarations: [DatepickerComponent],
                    imports: [
                        common.CommonModule,
                        ngxSimpleSelect.SimpleSelectModule,
                        core.MatNativeDateModule
                    ],
                    exports: [DatepickerComponent, ngxSimpleSelect.SimpleSelectModule]
                },] }
    ];

    /*
     * Public API Surface of simple-datepicker
     */

    /**
     * Generated bundle index. Do not edit.
     */

    Object.defineProperty(exports, 'SimpleSelectModule', {
        enumerable: true,
        get: function () {
            return ngxSimpleSelect.SimpleSelectModule;
        }
    });
    exports.DatepickerComponent = DatepickerComponent;
    exports.SimpleDatepickerModule = SimpleDatepickerModule;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=nutrify-ngx-simple-datepicker.umd.js.map
